import { Form, PluginSettings, FormOptions, FormData as Data } from '@forms.js/core';
import { PropType } from 'vue';
declare const FormComponent: import("vue").DefineComponent<{
    options: {
        type: PropType<FormOptions>;
        required: true;
    };
    plugins: {
        type: PropType<PluginSettings> | undefined;
        required: false;
        default: never[];
    };
    licenseKey: {
        type: PropType<string | null>;
        required: false;
        default: null;
    };
}, unknown, {
    formInstance: Form | null;
    formData: Data | null;
    assignedOptions: FormOptions;
}, {}, {
    reset(): void;
    validate(): void;
    submit(): void;
    getForm(): Form | null;
    getField(id: string): import("@forms.js/core").FormElement | undefined;
    getGroup(id: string): import("@forms.js/core").FormElement | undefined;
    getGroups(): Record<string, import("@forms.js/core").FormElement> | undefined;
    getButton(id: string): import("@forms.js/core").FormElement | undefined;
    getButtons(): Record<string, import("@forms.js/core").FormElement> | undefined;
    getData(): Data | undefined;
    getId(): string | undefined;
    getFormElement(): HTMLFormElement | null | undefined;
    isValid(): boolean | null | undefined;
    initForm(): void;
    acceptVNodes(schema: Record<string, unknown>[]): Record<string, unknown>[];
    checkForVNodes(opt: Record<string, unknown>): Record<string, unknown>;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    submitted: (data: Data | null) => true;
    resetted: () => true;
    dataUpdated: (data: Data | null) => true;
    validationFailed: () => true;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    options: {
        type: PropType<FormOptions>;
        required: true;
    };
    plugins: {
        type: PropType<PluginSettings> | undefined;
        required: false;
        default: never[];
    };
    licenseKey: {
        type: PropType<string | null>;
        required: false;
        default: null;
    };
}>> & {
    onSubmitted?: ((data: Data | null) => any) | undefined;
    onResetted?: (() => any) | undefined;
    onValidationFailed?: (() => any) | undefined;
    onDataUpdated?: ((data: Data | null) => any) | undefined;
}, {
    plugins: PluginSettings;
    licenseKey: string | null;
}, {}>;
export default FormComponent;
